#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retrie
version:              1.1.0.0
visibility:           public
id:                   retrie-1.1.0.0-3SSdG07etcGKRveTMygs4L
key:                  retrie-1.1.0.0-3SSdG07etcGKRveTMygs4L
license:              MIT
copyright:            Copyright (c) Facebook, Inc. and its affiliates.
maintainer:           Andrew Farmer <anfarmer@fb.com>
author:               Andrew Farmer <anfarmer@fb.com>
homepage:             https://github.com/facebookincubator/retrie
synopsis:             A powerful, easy-to-use codemodding tool for Haskell.
description:
    Retrie is a tool for codemodding Haskell. Key goals include:

    * Speed: Efficiently rewrite in large (>1 million line) codebases.
    * Safety: Avoids large classes of codemod-related errors.
    * Ease-of-use: Haskell syntax instead of regular expressions. No hand-rolled AST traversals.

    This package provides a command-line tool (@retrie@) and a library
    ("Retrie") for making equational edits to Haskell code.

    Please see the [README](#readme) for examples and usage.

category:             Development
abi:                  05c2f14c6056aa99233b8afe987b87dc
exposed:              True
exposed-modules:
    Retrie Retrie.AlphaEnv Retrie.CPP Retrie.Context Retrie.Debug
    Retrie.Elaborate Retrie.ExactPrint Retrie.ExactPrint.Annotated
    Retrie.Expr Retrie.Fixity Retrie.FreeVars Retrie.GHC
    Retrie.GroundTerms Retrie.Monad Retrie.Options
    Retrie.PatternMap.Bag Retrie.PatternMap.Class
    Retrie.PatternMap.Instances Retrie.Pretty Retrie.Quantifiers
    Retrie.Query Retrie.Replace Retrie.Rewrites
    Retrie.Rewrites.Function Retrie.Rewrites.Patterns
    Retrie.Rewrites.Rules Retrie.Rewrites.Types Retrie.Run Retrie.SYB
    Retrie.Subst Retrie.Substitution Retrie.Types Retrie.Universe
    Retrie.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/retrie-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/retrie-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-retrie
hs-libraries:         HSretrie-1.1.0.0-3SSdG07etcGKRveTMygs4L
depends:
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww
    async-2.2.4-IyWEfdMvX6p3WNvmQSifvv base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R directory-1.3.6.2
    filepath-1.4.2.1 ghc-9.0.2
    ghc-exactprint-0.6.4-A4NXJnaaRg8L9kQ6JyRclc
    list-t-1.0.5.1-CZPyCTroL3M6dT1vGkb6HJ mtl-2.2.2
    optparse-applicative-0.16.1.0-Je4Eqp47gZkHU3mHmIhYBI
    process-1.6.13.2 random-shuffle-0.0.4-6RP8KFIBvLHH9yfQ8v2OAV
    syb-0.7.2.1-DulFDF8549UG6dz4rfmowQ text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.17.0-4bcRecgfIOjL5KIXJoFyIi

haddock-interfaces:   /usr/share/doc/haskell-retrie/html/retrie.haddock
haddock-html:         /usr/share/doc/haskell-retrie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

